gi-glib-2.0.17: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GLib.Unions.DoubleIEEE754

Contents

- Exported types
- Properties
  - vDouble

Description

The `FloatIEEE754` and `DoubleIEEE754` unions are used to access the sign, mantissa and exponent of IEEE floats and doubles. These unions are defined as appropriate for a given platform. IEEE floats and doubles are supported (used for storage) by at least Intel, PPC and Sparc.

Synopsis

- newtype DoubleIEEE754 = DoubleIEEE754 (ManagedPtr DoubleIEEE754)
- newZeroDoubleIEEE754 :: MonadIO m => m DoubleIEEE754
- noDoubleIEEE754 :: Maybe DoubleIEEE754
- getDoubleIEEE754VDouble :: MonadIO m => DoubleIEEE754 -> m Double
- setDoubleIEEE754VDouble :: MonadIO m => DoubleIEEE754 -> Double -> m ()

# Exported types

newtype DoubleIEEE754 Source #

Memory-managed wrapper type.

Constructors

DoubleIEEE754 (ManagedPtr DoubleIEEE754) |

Instances

WrappedPtr DoubleIEEE754 Source # |
Instance details Defined in GI.GLib.Unions.DoubleIEEE754 Methods wrappedPtrCalloc :: IO (Ptr DoubleIEEE754) Source # wrappedPtrCopy :: DoubleIEEE754 -> IO DoubleIEEE754 Source # wrappedPtrFree :: Maybe (FunPtr (Ptr DoubleIEEE754 -> IO ())) Source #
tag ~ AttrSet => Constructible DoubleIEEE754 tag Source # |
Instance details Defined in GI.GLib.Unions.DoubleIEEE754 Methods new :: MonadIO m => (ManagedPtr DoubleIEEE754 -> DoubleIEEE754) -> [AttrOp DoubleIEEE754 tag] -> m DoubleIEEE754 Source #

newZeroDoubleIEEE754 :: MonadIO m => m DoubleIEEE754 Source #

Construct a `DoubleIEEE754` struct initialized to zero.

noDoubleIEEE754 :: Maybe DoubleIEEE754 Source #

A convenience alias for `Nothing` :: `Maybe` `DoubleIEEE754`.

# Properties

## vDouble

the double value

getDoubleIEEE754VDouble :: MonadIO m => DoubleIEEE754 -> m Double Source #

Get the value of the “`v_double`” field. When overloading is enabled, this is equivalent to

    get doubleIEEE754 #vDouble

setDoubleIEEE754VDouble :: MonadIO m => DoubleIEEE754 -> Double -> m () Source #

Set the value of the “`v_double`” field. When overloading is enabled, this is equivalent to

    set doubleIEEE754 [ #vDouble := value ]